/*
 * This class holds the name of the company,
 * the stock symbol, and one piece of data
 * about the stock. It is expected the
 * data is some fundamental measuremennt such
 * as price, PE ratio, etc
 */
public class SimpleStockData {

    private String name;
    private String symbol;
    private double data;
    
    public SimpleStockData(String n, String s, double d) {
        name = n;
        symbol = s;
        data = d;
    }
    
    public String getName() {
        return name;
    }
    
    public String getSymbol() {
        return symbol;
    }
    
    public double getFundamentalData() {
        return data;
    }
    
    public String toString() {
        return name + "  " + symbol + "  " + data;
    }
}
